> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Conversation

> Update the conversation details based on the conversation ID



## OpenAPI

````yaml /api-reference/conversations/openapi.json put /conversations/{conversationId}
openapi: 3.0.0
info:
  title: Conversations API
  description: Documentation for Conversations API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Conversations
    description: Documentation for Conversations API
  - name: Search
    description: Documentation for Conversations API
  - name: Email
    description: Documentation for Conversations API
  - name: Messages
    description: Documentation for Conversations API
  - name: Providers
    description: Documentation for Conversations API
paths:
  /conversations/{conversationId}:
    put:
      tags:
        - Conversations
      summary: Update Conversation
      description: Update the conversation details based on the conversation ID
      operationId: update-conversation
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-04-15'
        - name: conversationId
          required: true
          in: path
          description: Conversation ID as string
          schema:
            example: tDtDnQdgm2LXpyiqYvZ6
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateConversationDto'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConversationSuccessfulResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
      security:
        - bearer:
            - conversations.write
components:
  schemas:
    UpdateConversationDto:
      type: object
      properties:
        locationId:
          type: string
          description: Location ID as string
          example: tDtDnQdgm2LXpyiqYvZ6
        unreadCount:
          type: number
          description: Count of unread messages in the conversation
          example: 1
        starred:
          type: boolean
          description: Starred status of the conversation.
          example: true
        feedback:
          type: object
      required:
        - locationId
    GetConversationSuccessfulResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Boolean value as the API response.
          example: true
        conversation:
          $ref: '#/components/schemas/ConversationDto'
      required:
        - success
        - conversation
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    ConversationDto:
      type: object
      properties:
        id:
          type: string
          description: Contact ID as string
          example: tDtDnQdgm2LXpyiqYvZ6
        locationId:
          type: string
          description: Location ID as string
          example: tDtDnQdgm2LXpyiqYvZ6
        contactId:
          type: string
          description: Contact ID as string
          example: tDtDnQdgm2LXpyiqYvZ6
        assignedTo:
          type: string
          description: Assigned User ID as string
          example: tDtDnQdgm2LXpyiqYvZ6
        userId:
          type: string
          description: User ID as string
          example: tDtDnQdgm2LXpyiqYvZ6
        lastMessageBody:
          type: string
          description: Last message body as string
          example: Hello, this is the message body
        lastMessageDate:
          type: string
          description: Last message date as UTC
          example: '1628008053263'
        lastMessageType:
          type: string
          description: Type of the last message sent/received in the conversation.
          enum:
            - TYPE_CALL
            - TYPE_SMS
            - TYPE_EMAIL
            - TYPE_SMS_REVIEW_REQUEST
            - TYPE_WEBCHAT
            - TYPE_SMS_NO_SHOW_REQUEST
            - TYPE_CAMPAIGN_SMS
            - TYPE_CAMPAIGN_CALL
            - TYPE_CAMPAIGN_EMAIL
            - TYPE_CAMPAIGN_VOICEMAIL
            - TYPE_FACEBOOK
            - TYPE_CAMPAIGN_FACEBOOK
            - TYPE_CAMPAIGN_MANUAL_CALL
            - TYPE_CAMPAIGN_MANUAL_SMS
            - TYPE_GMB
            - TYPE_CAMPAIGN_GMB
            - TYPE_REVIEW
            - TYPE_INSTAGRAM
            - TYPE_WHATSAPP
            - TYPE_CUSTOM_SMS
            - TYPE_CUSTOM_EMAIL
            - TYPE_CUSTOM_PROVIDER_SMS
            - TYPE_CUSTOM_PROVIDER_EMAIL
            - TYPE_IVR_CALL
            - TYPE_ACTIVITY_CONTACT
            - TYPE_ACTIVITY_INVOICE
            - TYPE_ACTIVITY_PAYMENT
            - TYPE_ACTIVITY_OPPORTUNITY
            - TYPE_LIVE_CHAT
            - TYPE_LIVE_CHAT_INFO_MESSAGE
            - TYPE_ACTIVITY_APPOINTMENT
            - TYPE_FACEBOOK_COMMENT
            - TYPE_INSTAGRAM_COMMENT
            - TYPE_CUSTOM_CALL
            - TYPE_INTERNAL_COMMENT
            - TYPE_ACTIVITY_EMPLOYEE_ACTION_LOG
          example: TYPE_CALL
        unreadCount:
          type: number
          description: Count of unread messages in the conversation
          example: 1
        inbox:
          type: boolean
          description: Inbox status of the conversation.
          example: true
        starred:
          type: boolean
          description: Starred status of the conversation.
          example: true
        deleted:
          type: boolean
          description: Deleted status of the conversation.
          example: false
      required:
        - locationId
        - contactId
        - deleted
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````